## aee 2.2.7

=== Makefile ===
# This is the make file for aee, "another easy editor".
#
# A file called 'make.aee' will be generated which will contain information 
# specific to the local system, such as if it is a BSD or System V based 
# version of UNIX, whether or not it has catgets, or select.  
#
# The "install" target ("make install") will copy the aee and xae binaries to 
# the /usr/local/bin directory on the local system.  The man page (aee.1) 
# will be copied into the /usr/local/man/man1 directory.
#
# The "clean" target ("make clean") will remove the 
# object files, and the aee and xae binaries.
#

main :	localaee buildaee 

all :	both

both :	main xae

xae :	localxae buildxae

buildaee :	
	make -f make.aee

localaee:
	@./create.mk.aee

buildxae :	
	(cd xae_dir; make -f make.xae)

localxae:
	@./create.mk.xae

install :
	@./install-sh

clean :
	rm -f *.o aee xae xae_dir/*.o

## aee 2.2.15b

=== debian/changelog ===
aee (2.2.15b-5) unstable; urgency=low

  * QA upload
  * Fix build with hardening flags (Closes: #643345)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 27 Sep 2011 19:41:20 +0200

aee (2.2.15b-4) unstable; urgency=low

  * QA upload, setting Maintainer to QA again (Closes: 540342)
  * switch to "3.0 (quilt)"
  * modernize debian/rules
  - no more dpatch
  - compatibility level 7
  - add build-arch, build-indep
  - use dpkg-buildflags
  - drop dh_desktop
  * adopt menu file to new sections
  * fix lintian's complains about .desktop file
  * use dh_install instead of modifying the Makefile
  * fix some 64 bit printf problems
  * silence a large number of compiler warnings due to "(char)NULL"
  * use proper Homepage field (Closes: 615180)
  * bump Standards-Version
  * fix manpage (hyphens, unknown .KS)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 17 Sep 2011 22:19:06 +0200

aee (2.2.15b-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch 02-unsigned-char to 00list, so it's actually applied.

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 Aug 2009 12:39:16 +0200

aee (2.2.15b-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop obsolete build dep on x-dev (closes: #515355).
  * Drop 'Provides: editor' since no alternatives are installed (closes:
    #421080).
  * Apply patch by Wesley J Landaker to fix wrong assumption about char
    signedness (closes: #163978).
  * Don't strip if DEB_BUILD_OPTIONS contains nostrip (closes: #436381).

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 Aug 2009 11:59:17 +0200

aee (2.2.15b-3) unstable; urgency=low

  * New Maintainer (Closes: #347736)
  * Policy-Update (3.6.2)
  * Complete new debian/rules
  * debian/copyright changed
  * Introduced dpatch (and a patch for building, 01-build)
  * Added a menu-file for xae
  * Added a desktop-file for xae
  * Removed debian/README.Debian (no important informations)
  * Added homepage to debian/control

 -- Mario Iseli <admin@marioiseli.com>  Thu, 14 Jan 2006 21:13:09 +0100

aee (2.2.15b-2) unstable; urgency=low

  * Changed maintainer to Debian QA Group.
  * Aknowledge NMU (Closes: #346612, #332300).

 -- Luk Claes <luk@debian.org>  Thu, 12 Jan 2006 11:58:07 +0100

aee (2.2.15b-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346612).
  * Install menu entry in /usr/share/menu (Closes: #332300).

 -- Luk Claes <luk@debian.org>  Thu, 12 Jan 2006 00:10:06 +0100

aee (2.2.15b-1) unstable; urgency=low

  * Adopting the package (closes: #216271).
  * Removed xlib6g-dev from Build-Depends, this package is no longer available
    in the archive.
  * Removed debhelper from Build-Depends.
  * New upstream version (closes: #217666).

 -- Javier Linares <javier@javierlinares.com>  Sat, 07 Feb 2004 17:31:37 +0100

aee (2.2.15a-2) unstable; urgency=low

  * Orphaning the package.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Fri, 17 Oct 2003 22:27:54 +0530

aee (2.2.15a-1) unstable; urgency=low

  * New upstream
    
  * Closes: bug#153818

 -- Ramakrishnan M <rkrishnan@debian.org>  Sat,  5 Oct 2002 22:35:38 -0400

aee (2.2.7-2) unstable; urgency=low

  * Build-Depends added for xlibs-dev
    Closes: bug#111871

  * Help file location problem solved.
    Closes: bug#111860
  
  * Package Description and punctuation changed.
    Closes: bug#111812
 
  * Initial Release.
    Closes: bug#87827     
  
 -- Ramakrishnan M <rkrishnan@debian.org>  Sat, 28 Sep 2001 10:36:13 +0530

=== debian/control ===
Source: aee
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libx11-dev
Standards-Version: 3.9.2

Package: aee
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: easy to use screen-based editor
 aee (advanced easy editor) is intended to be an easy to use screen-based
 editor that requires no instruction to use. Its interface is highlighted
 by simple pop-up menus, which makes it easy for the users to carry out 
 tasks without remembering the commands.
Homepage: http://mahon.cwx.net/sources/

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

CFLAGS              := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS            := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)

CFLAGS  += -Wall

build: build-arch build-indep
build-indep:
build-arch: build-stamp

make.aee: create.mk.aee
	CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' CPPFLAGS='$(CPPFLAGS)' ./create.mk.aee

xae_dir/make.xae: create.mk.xae
	CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' CPPFLAGS='$(CPPFLAGS)' ./create.mk.xae

build-stamp: make.aee xae_dir/make.xae
	dh_testdir
	$(MAKE) -f make.aee
	$(MAKE) -C xae_dir -f make.xae
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp make.aee xae_dir/make.xae
	$(MAKE) clean
	dh_clean

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	dh_install debian/xae.desktop /usr/share/applications
	dh_installman aee.1 debian/xae.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

=== debian/watch ===
# see uscan for format
version=3

http://mahon.cwx.net/sources/aee-(.*)\.tar\.gz
